Skip to content
Ona Docs

GetAnnouncementBanner

POST/gitpod.v1.OrganizationService/GetAnnouncementBanner

Retrieves the announcement banner configuration for an organization.

Use this method to fetch the current announcement banner settings. All organization members can read the banner configuration.

Examples

  • Get announcement banner:

    organizationId: "b0e12f6c-4c67-429d-a4a6-d9838b5da047"
Body ParametersJSONExpand Collapse
organizationId: string

organization_id is the ID of the organization

formatuuid
ReturnsExpand Collapse

GetAnnouncementBanner

curl https://app.gitpod.io/api/gitpod.v1.OrganizationService/GetAnnouncementBanner \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $GITPOD_API_KEY" \
    -d '{
          "organizationId": "b0e12f6c-4c67-429d-a4a6-d9838b5da047"
        }'
{
  "banner": {
    "organizationId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "enabled": true,
    "message": "message"
  }
}
Returns Examples
{
  "banner": {
    "organizationId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "enabled": true,
    "message": "message"
  }
}